Program Pack1;

Var
  r: packed record
       a, b: Boolean;
       c: false..true;
       d: 0..3;
       e: -3..3;
       i: Integer;
     end (* r *);
  rb: Byte absolute r;

begin
  rb:= 0;
  with r do
    begin
      b:= true;
      d:= 2;
      e:= -1;
    end (* with *);
  if ( SizeOf ( r ) = 5 ) and ( rb = 242 ) then
    writeln ( 'OK' )
  else
    writeln ( 'failed' );
end.
